## visad.cluster
Class NodeAgent

    java.lang.Object
      visad.cluster.NodeAgent

All Implemented Interfaces:
  Runnable, Serializable

Direct Known Subclasses:
  DefaultNodeRendererAgent

public abstract class NodeAgent
extends Object
implements Serializable, Runnable

NodeAgent is the abstract super-class for agents sent from client to nodes.

See Also:
  Serialized Form

Field Summary
`(package private) RemoteAgentContactImpl` `contact` RemoteAgentContact for communicating back to client
`(package private) Serializable` `message` message from client, if non-null

Constructor Summary
`NodeAgent(RemoteClientAgent s)`

Method Summary
`Thread` `getAgentThread()`
`Serializable` `getMessage()`
`Object` `getObject()`
`RemoteAgentContactImpl` `getRemoteAgentContact(Object obj)` create and start Thread, and return contact
`boolean` `onlyOne()`
`abstract void` `run()`
`void` `sendToClient(Serializable message)`
`void` `sendToNode(Serializable me)`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contact

    RemoteAgentContactImpl contact

  RemoteAgentContact for communicating back to client

### message

    Serializable message

  message from client, if non-null

Constructor Detail

### NodeAgent

    public NodeAgent(RemoteClientAgent s)

Method Detail

### onlyOne

    public boolean onlyOne()

### getObject

    public Object getObject()

### getAgentThread

    public Thread getAgentThread()

### sendToNode

    public void sendToNode(Serializable me)

### getMessage

    public Serializable getMessage()

### sendToClient

    public void sendToClient(Serializable message)

### getRemoteAgentContact

    public RemoteAgentContactImpl getRemoteAgentContact(Object obj)

  create and start Thread, and return contact

### stop

    public void stop()

### run

    public abstract void run()

  Specified by:
    `run` in interface `Runnable`